GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Public Member Functions | Private Attributes | List of all members
GpgFrontend::UI::SignersPicker Class Reference
Inheritance diagram for GpgFrontend::UI::SignersPicker:
Collaboration diagram for GpgFrontend::UI::SignersPicker:

## Public Member Functions
| SignersPicker (QWidget *parent=nullptr)
| Construct a new Signers Picker object. More...
GpgFrontend::KeyIdArgsListPtr | GetCheckedSigners ()
| Get the Checked Signers object. More...

## Private Attributes
KeyList * | key_list_

## Constructor & Destructor Documentation

## ◆ SignersPicker()

GpgFrontend::UI::SignersPicker::SignersPicker | ( | QWidget * | parent = `nullptr` | ) |
| explicit

Construct a new Signers Picker object.

Parameters

  parent |

References GpgFrontend::UI::KeyList::AddListGroupTab(), and GpgFrontend::GpgKey::IsHasActualSigningCapability().

## Member Function Documentation

## ◆ GetCheckedSigners()

GpgFrontend::KeyIdArgsListPtr GpgFrontend::UI::SignersPicker::GetCheckedSigners | ( |  | ) |

Get the Checked Signers object.

Returns
  GpgFrontend::KeyIdArgsListPtr

References GpgFrontend::UI::KeyList::GetPrivateChecked().

The documentation for this class was generated from the following files:

- src/ui/widgets/SignersPicker.h
- src/ui/widgets/SignersPicker.cpp